#include <Adafruit_GFX.h>
#include <Adafruit_ILI9341.h>

#define TFT_CS 5       // Chip select control pin
#define TFT_DC 16      // Data/command control pin
#define TFT_RST 4      // Reset pin

Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC, TFT_RST);

void setup() {
  Serial.begin(115200);
  Serial.println("Inicializando ILI9341...");
  delay(500);  // Pequeno atraso para garantir que tudo esteja pronto
  
  // Testar o reset manual
  Serial.println("Resetando display...");
  pinMode(TFT_RST, OUTPUT);
  digitalWrite(TFT_RST, LOW);
  delay(100);
  digitalWrite(TFT_RST, HIGH);
  delay(100);
  
  // Inicializando o display
  tft.begin();
  Serial.println("Display inicializado.");
  tft.setRotation(1);
  tft.fillScreen(ILI9341_BLACK);
  Serial.println("Tela preenchida.");
  tft.setTextColor(ILI9341_WHITE);
  tft.setTextSize(2);
  tft.setCursor(10, 10);
  tft.println("Teste Adafruit ILI9341");
  Serial.println("Texto exibido.");
}
9sck ou 
void loop() {
  // Apenas para garantir que o texto não desapareça, reimprima após um intervalo
  static bool textPrinted = false;
  if (!textPrinted) {
    tft.setCursor(10, 10);
    tft.setTextColor(ILI9341_WHITE);
    tft.setTextSize(2);
    tft.println("Teste Adafruit ILI9341");
    textPrinted = true;
  }
}
